/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-2001
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *   Pamela Greene (pamg.bugs@gmail.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== autocomplete.css =================================================
  == Styles used by the autocomplete widget.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

/* ::::: autocomplete ::::: */

/* .padded is used by autocomplete widgets that don't have an icon. Gross. -dwh */
textbox:not(.padded) {
  cursor: default;
  padding: 0;
}

textbox[nomatch="true"][highlightnonmatches="true"] {
  color: red;
}

.autocomplete-textbox-container {
  -moz-box-align: center;
}

textbox:not(.padded) .textbox-input-box {
  margin: 0 3px;
}

.textbox-input-box {
  -moz-box-align: center;
}

/* ::::: autocomplete popups ::::: */

panel[type="autocomplete"],
panel[type="autocomplete-richlistbox"],
.autocomplete-history-popup {
  -moz-appearance: none;
  border-width: 1px;
  -moz-border-top-colors: ThreeDDarkShadow;
  -moz-border-right-colors: ThreeDDarkShadow;
  -moz-border-bottom-colors: ThreeDDarkShadow;
  -moz-border-left-colors: ThreeDDarkShadow;
  padding: 0;
  background-color: -moz-Field;
}

.autocomplete-history-popup {
  max-height: 180px;
}

/* ::::: tree ::::: */

.autocomplete-tree {
  -moz-appearance: none !important;
  border: none !important;
  background-color: transparent !important;
}

.autocomplete-treecol {
  -moz-appearance: none !important;
  margin: 0 !important;
  border: none !important;
  padding: 0 !important;
}

/* GTK calculates space for a sort arrow */
.autocomplete-treecol > .treecol-sortdirection {
  -moz-appearance: none !important;
}

.autocomplete-treebody::-moz-tree-cell-text {
  -moz-padding-start: 8px;
}

treechildren.autocomplete-treebody::-moz-tree-row(selected) {
 background-color: Highlight;
}

treechildren.autocomplete-treebody::-moz-tree-cell-text(selected) {
  color: HighlightText !important;
}

.autocomplete-treebody::-moz-tree-image(treecolAutoCompleteValue) {
  max-width: 16px;
  height: 16px;
}

/* ::::: richlistbox autocomplete ::::: */

.autocomplete-richlistbox {
  margin: 0;
}

.autocomplete-richlistitem[selected="true"] {
  background-color: Highlight;
  color: HighlightText;
}

.autocomplete-richlistitem {
  padding: 1px 2px;
  border-bottom: 1px solid ThreeDLightShadow;
}

.ac-site-icon {
  width: 16px; 
  height: 16px;
  margin: 0 5px -3px 3px;
}

.ac-type-icon {
  width: 16px; 
  height: 16px;
}

.ac-extra > .ac-result-type-tag {
  margin: 0 4px;
}

.ac-extra > .ac-comment {
  padding-right: 4px;
}

.ac-ellipsis-after {
  margin: 2px 0px 0px 0px !important;
  padding: 0; 
  min-width: 1em;
}

.ac-normal-text {
  margin: 2px 0px 0px 0px !important;
  padding: 0;
}

.ac-normal-text > html|span {
  margin: 0 !important;
  padding: 0;
}

html|span.ac-emphasize-text {
  font-weight: bold;
  text-decoration: underline;
}

html|span.ac-emphasize-alt {
  text-decoration: underline;
}

.ac-title, .ac-url {
  overflow: hidden;
}

/* ::::: textboxes inside toolbarpaletteitems ::::: */

toolbarpaletteitem > toolbaritem > textbox > hbox > hbox > html|*.textbox-input {
  visibility: hidden;
}

toolbarpaletteitem > toolbaritem > * > textbox > hbox > hbox > html|*.textbox-input {
  visibility: hidden;
}

